<template>
  <div>
    <p class="mb-3 text-xs uppercase">
      Let’s get started
    </p>
    <h1 class="mb-6">
      How long have you been suffering from ED?
    </h1>
    <div class="quiz-choices">
      <radio-input
        v-for="(choice, index) in choices"
        :key="index"
        v-model="selected"
        :input-value="choice"
      >
        {{ choice }}
      </radio-input>
    </div>
    <GetStartedFooter/>
  </div>
</template>

<script>
import RadioInput from "@/components/inputs/RadioInput";
import GetStartedFooter from "@/components/quizes/GetStartedFooter";
import {answersMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin],
  name: "GetStarted",
  components: {GetStartedFooter, RadioInput},
  watch: {
    selected(newVal) {
      if (newVal) {
        this.setAnswer(this.answersKeys.GET_STARTED, newVal)
        this.$emit('nextStage')
      }
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        'Less than 3 months',
        '3-6 months',
        '7-12 months',
        '1-2 years',
        'Longer than 2 years',
        'I\'m not dissatisfied with my sexual function',
      ]
    }
  }
}
</script>

<style scoped>

</style>
